package com.psdc.service;

import com.psdc.entity.PsdcControlLog;

import java.util.List;

/**
 * 控制日志;(psdc_control_log)表服务接口
 * @date : 2023-5-9
 */
public interface IPsdcControlLogService {
    /** 
     * 通过ID查询单条数据 
     *
     * @param controlLogId 主键
     * @return 实例对象
     */
    PsdcControlLog queryById(Integer controlLogId);

    /** 
     * 新增数据
     *
     * @param psdcControlLog 实例对象
     * @return 实例对象
     */
    PsdcControlLog insert(PsdcControlLog psdcControlLog);
    /** 
     * 更新数据
     *
     * @param psdcControlLog 实例对象
     * @return 实例对象
     */
    PsdcControlLog update(PsdcControlLog psdcControlLog);
    /** 
     * 通过主键删除数据
     *
     * @param controlLogId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer controlLogId);

    /**
     * 分页查询控制日志
     * @param psdcControlLog
     */
    List<PsdcControlLog> query(PsdcControlLog psdcControlLog);
}